<?xml version="1.0" encoding="UTF-8" ?>
<XMLDB PATH="admin/report/synciccarouca/db" VERSION="20130123" COMMENT="Esquema do banco de dados do módulo da matrícula da UMA-SUS"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:noNamespaceSchemaLocation="../../../../lib/xmldb/xmldb.xsd"
>
  <TABLES>
 
    <TABLE NAME="synciccarouca_course" COMMENT="Registra status de sincronização"  NEXT="synciccarouca_course_config">
      <FIELDS>
        <FIELD NAME="id" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="true" ENUM="false" NEXT="status"/>
        <FIELD NAME="status" TYPE="int" LENGTH="3" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" PREVIOUS="id" NEXT="mdluserid"/>
        <FIELD NAME="mdluserid" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" PREVIOUS="status" NEXT="mdlcourseid"/>
        <FIELD NAME="mdlcourseid" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" PREVIOUS="mdluserid" NEXT="arcidcurso"/>
        <FIELD NAME="arcidcurso" TYPE="int" LENGTH="10" NOTNULL="false" UNSIGNED="true" SEQUENCE="false" ENUM="false" PREVIOUS="mdlcourseid" NEXT="arcidoferta"/>
        <FIELD NAME="arcidoferta" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" PREVIOUS="arcidcurso" NEXT="dataingresso"/>
        <FIELD NAME="dataingresso" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" PREVIOUS="arcidoferta" NEXT="mdluseridaut"/>
        <FIELD NAME="mdluseridaut" TYPE="int" LENGTH="10" NOTNULL="false" UNSIGNED="true" SEQUENCE="false" ENUM="false" PREVIOUS="dataingresso" NEXT="dataconclusao"/>
        <FIELD NAME="dataconclusao" TYPE="int" LENGTH="10" NOTNULL="false" UNSIGNED="true" SEQUENCE="false" ENUM="false" PREVIOUS="mdluseridaut" NEXT="urlcertificado"/>
        <FIELD NAME="urlcertificado" TYPE="char" LENGTH="255" NOTNULL="false" SEQUENCE="false" ENUM="false" PREVIOUS="dataconclusao" NEXT="faultcodewsarouca"/>
        <FIELD NAME="faultcodewsarouca" TYPE="int" LENGTH="4" NOTNULL="false" UNSIGNED="true" SEQUENCE="false" ENUM="false" PREVIOUS="urlcertificado" NEXT="faultstringwsarouca"/>
        <FIELD NAME="faultstringwsarouca" TYPE="char" LENGTH="255" NOTNULL="false" SEQUENCE="false" ENUM="false" PREVIOUS="faultcodewsarouca" NEXT="mdlenrol"/>
        <FIELD NAME="mdlenrol" TYPE="char" LENGTH="255" NOTNULL="false" SEQUENCE="false" ENUM="false" PREVIOUS="faultstringwsarouca"/>
      </FIELDS>
      <KEYS>
        <KEY NAME="primary" TYPE="primary" FIELDS="id"/>
      </KEYS>
    </TABLE>
    <TABLE NAME="synciccarouca_course_config" COMMENT="Configuração da sincronização" PREVIOUS="synciccarouca_course">
      <FIELDS>
        <FIELD NAME="id" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="true" ENUM="false" NEXT="mdlcourseid"/>
        <FIELD NAME="mdlcourseid" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" PREVIOUS="id" NEXT="arcidcurso"/>
        <FIELD NAME="arcidcurso" TYPE="int" LENGTH="10" NOTNULL="false" UNSIGNED="true" SEQUENCE="false" ENUM="false" PREVIOUS="mdlcourseid" NEXT="arcidoferta"/>
        <FIELD NAME="arcidoferta" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" PREVIOUS="arcidcurso" NEXT="concluinteferta"/>
        <FIELD NAME="concluinteferta" TYPE="int" LENGTH="2" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" PREVIOUS="arcidoferta" NEXT="gradeapproved"/>
        <FIELD NAME="gradeapproved" TYPE="number" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" DECIMALS="2" PREVIOUS="concluinteferta" NEXT="timeupdate"/>
        <FIELD NAME="timeupdate" TYPE="int" LENGTH="10" NOTNULL="false" UNSIGNED="true" SEQUENCE="false" ENUM="false" PREVIOUS="gradeapproved" NEXT="messagemailcert"/>
        <FIELD NAME="messagemailcert" TYPE="text" LENGTH="big" NOTNULL="false" SEQUENCE="false" ENUM="false" PREVIOUS="timeupdate" NEXT="subjectmailcert"/>
        <FIELD NAME="subjectmailcert" TYPE="char" LENGTH="255" NOTNULL="false" SEQUENCE="false" ENUM="false" PREVIOUS="messagemailcert"/>
      </FIELDS>
      <KEYS>
        <KEY NAME="primary" TYPE="primary" FIELDS="id"/>
      </KEYS>
    </TABLE>
  </TABLES>
</XMLDB>